﻿<?xml version="1.0" encoding="utf-8"?>
<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003" Sdk="Microsoft.NET.Sdk">
  
  <PropertyGroup Label="Product">
    <Title>XploRe.Collections</Title>
    <VersionPrefix>0.2.0</VersionPrefix>
    <RepositoryType>git</RepositoryType>
    <RepositoryUrl>https://gitlab.com/xplo-re/dotnet/collections</RepositoryUrl>
    <Authors>Michael Maier</Authors>
    <Description><![CDATA[
Provides additional generic collections.

Commonly used types:
XploRe.Collections.TaskQueue
]]></Description>
    <PackageTags>taskqueue; collections</PackageTags>
    <PackageProjectUrl>https://xdn.xplo-re.net/docs/dotnet/1.0/api/XploRe.Collections.html</PackageProjectUrl>
  </PropertyGroup>

  <PropertyGroup Label="Build Configuration">
    <TargetFramework>netstandard1.3</TargetFramework>
    <LangVersion>7</LangVersion>
  </PropertyGroup>
  
  <ItemGroup Label="Packages">
    <PackageReference Include="XploRe.Runtime" Version="0.2.0-dev.70" />
    <PackageReference Include="XploRe.SourceLink.OpenSource" Version="1.0.1" PrivateAssets="All" />
    <PackageReference Include="XploRe.Versioning.Tools.DotNet" Version="0.3.0" PrivateAssets="All" />
  </ItemGroup>
  
  <ItemGroup>
    <Compile Remove="Tests\**" />
    <EmbeddedResource Remove="Tests\**" />
    <None Remove="Tests\**" />
  </ItemGroup>
  
</Project>
